[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Commit

Commit data to the stream

## Declaration

Source position: classesh.inc line 1173

`public function TStreamAdapter.Commit(`
`grfCommitFlags: DWORD`
`):HRESULT; virtual;`

## Description

Commit implements #rtl.types.IStream.Commit.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.Commit |  | Commit data to the stream